Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Data Cartridge Java API Reference 10g Release 2 (10.2) B14292-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ODCI
Class ODCICostRef

    java.lang.Object
      |
      +--oracle.ODCI.ODCICostRef

public class ODCICostRef
extends java.lang.Object

Field Summary
`static java.lang.String` | `_SQL_BASETYPE`
`static int` | `_SQL_TYPECODE`

Constructor Summary
`ODCICostRef()`

Method Summary
`ORAData` | `create(Datum d, int sqlType)`
`static ORADataFactory` | `getORADataFactory()`
`ODCICost` | `getValue()`
`void` | `setValue(ODCICost c)`
`Datum` | `toDatum(java.sql.Connection c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _SQL_BASETYPE

    public static final java.lang.String _SQL_BASETYPE

  See Also:
    Constant Field Values

### _SQL_TYPECODE

    public static final int _SQL_TYPECODE

Constructor Detail

### ODCICostRef

    public ODCICostRef()

Method Detail

### getORADataFactory

    public static ORADataFactory getORADataFactory()

### toDatum

    public Datum toDatum(java.sql.Connection c)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### create

    public ORAData create(Datum d,
                          int sqlType)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getValue

    public ODCICost getValue()
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setValue

    public void setValue(ODCICost c)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Data Cartridge Java API Reference 10g Release 2 (10.2) B14292-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.